package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.GarbagedangerRegion;
import com.lightinit.hsdatashow.entity.GarbagedangerRegionExample;

import java.math.BigDecimal;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface GarbagedangerRegionMapper {
    long countByExample(GarbagedangerRegionExample example);

    int deleteByExample(GarbagedangerRegionExample example);

    int deleteByPrimaryKey(Long id);

    int insert(GarbagedangerRegion record);

    int insertSelective(GarbagedangerRegion record);

    List<GarbagedangerRegion> selectByExample(GarbagedangerRegionExample example);

    GarbagedangerRegion selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") GarbagedangerRegion record, @Param("example") GarbagedangerRegionExample example);

    int updateByExample(@Param("record") GarbagedangerRegion record, @Param("example") GarbagedangerRegionExample example);

    int updateByPrimaryKeySelective(GarbagedangerRegion record);

    int updateByPrimaryKey(GarbagedangerRegion record);

    BigDecimal getGarbagedangerRegion();
}